DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# FeatureGinertia

Measure the object's inertia

## SYNOPSIS

`#include "dip_measurement.h"`

dip_int FeatureGinertiaID ( void )

## FUNCTION

`dip_FeatureGinertiaID` returns the ID value of this measurement function, that is registered by `Initialise`.

This function calculates the inertia (weighted by its grey values) of an object by calculating the eigenvalues of the object's second order moments tensor. This measure only supports 2D and 3D objects. `FeatureGinteria` supports a measurement parameter (see `Measure`). If a pointer to a non-zero boolean is supplied, this function will not only measure the eigenvalues of the second order moments tensor, but also the angles of its eigenvectors.

## ARGUMENTS

Data type | Name | Description
`dip_Boolean *` | `angles` | Pointer to a boolean specifying that "eigenangles" should be measured (not yet implemented)

## LITERATURE

"Pratical Handbook on Image Processing for Scientific Applications, chapter 16", Bernd Jahne, CRC Press, 1999.

## SEE ALSO

`Measure`, `FeatureSize`, `FeatureCenter`, `FeatureGravity`, `FeatureMean`, `FeatureSum`, `FeatureStdDev`, `FeatureMaximum`, `FeatureMinimum`, `FeatureMaxVal`, `FeatureMinVal`, `FeaturePerimeter`, `FeatureSurfaceArea`, `FeatureFeret`, `FeatureMass`, `FeatureInertia`, `FeatureMu`, `FeatureGmu`

DIPlib on-line documentation | Function reference | Global function index